.common:
  before_script:
    - yum -y install BUTool BUTool-IPBUS-Helpers UIOuHAL dislin-11.5
  script:
    - make init
    - make
    - cd rpm
    - make 
  artifacts:
    paths:
      - rpm/rpm/*  



stages:
  - build
  - deploy

job_alma8_arm64v8:
  stage: build
  image: edfapollo/multiarch-butool-almalinux8:1.7-arm64v8
  extends:
    - .common

# job_centos7_arm32v7:
#   stage: build
#   image: dgastler/multiarch-butool-centos7:1.6-arm32v7
#   extends:
#     - .common

job_centos7_arm64v8:
  stage: build
  image: edfapollo/multiarch-butool-centos7:1.7-arm64v8
  extends:
    - .common

deploy_rpms:
  stage: deploy
  rules:
    - if: $CI_COMMIT_TAG
      when: on_success
  trigger: BU-EDF/edf-projects/yum-repo-builder
